$ErrorActionPreference = 'Stop';

$packageName = 'MySql.Utilities'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://dev.mysql.com/get/Downloads/MySQLGUITools/mysql-utilities-1.6.5-win32.msi'
$url64      = 'http://dev.mysql.com/get/Downloads/MySQLGUITools/mysql-utilities-1.6.5-winx64.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MySql.Utilities*'

  checksum      = 'c19744e65d8066387e0df3df9c8c68a1c29049c2193f2a51853d2a193da8ec6e'
  checksumType  = 'sha256'
  checksum64    = 'fa32c71641d9313fc9c7e1e7019af44ad62fd1c525391a6fb267352f6b3933f7'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
